
TYPO3.Flow - Task # 40863

Status: Resolved Priority: Should have
Author: Karsten Dambekalns Category: Persistence
Created: 2012-09-12 Assigned To: Karsten Dambekalns
Updated: 2012-11-07 Due date:
Sprint:
PHP Version:
Has patch: No
Complexity:
Subject: Update to Doctrine ORM version 2.3.x
Description

Make sure we can use stock 2.3 packages to be able to rely on composer.

Associated revisions
Revision b807ceb0 - 2012-11-07 09:21 - Karsten Dambekalns

[TASK] Use Doctrine 2.3 ORM and adjust as needed

This adjusts our annotation driver to the changes in Doctrine 2.3 that
were breaking.

Also it adds the code needed to support new features:

    -  NamedNativeQueries annotation
    -  SqlResultSetMappings annotation
    -  Table->options
    -  DiscriminatorColumn->columnDefinition
    -  AssociationOverrides annotation
    -  AttributeOverrides annotation
    -  CustomIdGenerator annotation

Furthermore it requires doctrine/data-fixtures now, something we
previously had packaged into our Doctrine.Common package.

This change drops three changes we had applied to the stock packages
before:

    -  ORM - Throw exception if no identifier can be found in UnitOfWork
    -  ORM - In proxies add docblocks and move __wakeup() call around
    -  DBAL -  Fix connection charset with MySQL for PHP < 5.3.6

  (see https://review.typo3.org/4587).

Change-Id: I21f24bf9ef825ce6d6d03a5a9c2d271c41543507
Resolves: #40863
Releases: 1.2

History
#1 - 2012-09-27 20:40 - Karsten Dambekalns
https://review.typo3.org/4587


- Project changed from Doctrine 2 to TYPO3.Flow

#2 - 2012-09-27 20:40 - Karsten Dambekalns
- Subject changed from Update to version 2.3.x to Update to Doctrine ORM version 2.3.x
- Category set to Persistence
- Has patch set to No

#3 - 2012-09-27 20:45 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 2 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14568

#4 - 2012-09-27 21:45 - Gerrit Code Review

Patch set 3 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14568

#5 - 2012-10-10 14:51 - Gerrit Code Review

Patch set 4 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14568

#6 - 2012-11-07 09:22 - Gerrit Code Review

Patch set 5 for branch master has been pushed to the review server.
It is available at http://review.typo3.org/14568

#7 - 2012-11-07 09:35 - Karsten Dambekalns
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:b807ceb06695ae742da2be7e2d9b3d51f21bfd97.
